Kinabase Logo
Endpoints

Records

Base URL: https://app.kinabase.com/api/v1/


get

collections/{collectionId}

Gets a paginated list of all records in a collection.

Parameters

NameLocationTypeDescription
collectionId *pathstringCollection ID or Slug
pageIndex queryintegerPage index to return, starting at 0
pageSize queryintegerNumber of records to return (default: 10, min: 1, max: 300)
updatedAfter querystringOnly return records updated after this time (ISO8601 format)
externalService querystringOnly fetch records linked to a specified external service (externalService=true for match any service)
includeLists querybooleanWhether to include lists
includeStageHistory querybooleanWhether to include each record's workflow stage changes

Response

StatusDescriptionContent
200OK
400Bad Request
401Unauthorized
404Not Found

post

collections/{collectionId}

Adds a new record to a collection.

Parameters

NameLocationTypeDescription
collectionId *pathstringCollection ID or Slug
includeFileStorage querybooleanWhether to include external file storage folder info (creates the folder if it doesn't exist)

Request Body

Record Json

Example request (application/json):
{
  "id": null,
  "numericId": null,
  "createdAt": null,
  "updatedAt": null,
  "data": {
    "example-key": {}
  },
  "external": null,
  "lists": null,
  "fileStorage": null,
  "stageHistory": null
}

Response

StatusDescriptionContent
200OK
400Bad Request
401Unauthorized
404Not Found

get

collections/{collectionId}/all

Gets a chunked response of all the records in a collection.

Parameters

NameLocationTypeDescription
collectionId *pathstringCollection ID or Slug
updatedAfter querystringOnly return records updated after this time (ISO8601 format)
externalService querystringOnly fetch records linked to a specified external service (externalService=true for match any service)
includeStageHistory querybooleanWhether to include each record's workflow stage changes

Response

StatusDescriptionContent
200OK
Array of Record
400Bad Request
401Unauthorized
404Not Found

get

collections/{collectionId}/{recordId}

Gets a single record from a collection.

Parameters

NameLocationTypeDescription
collectionId *pathstringCollection ID or Slug
recordId *pathstringRecord ID
includeLists querybooleanWhether to include lists
includeFileStorage querybooleanWhether to include external file storage folder info
includeStageHistory querybooleanWhether to include the record's workflow stage changes

Response

StatusDescriptionContent
200OK
401Unauthorized
404Not Found

patch

collections/{collectionId}/{recordId}

Updates an existing record in a collection.

Parameters

NameLocationTypeDescription
collectionId *pathstringCollection ID or Slug
recordId *pathstringRecord ID to update
includeFileStorage querybooleanWhether to include external file storage folder info (creates the folder if it doesn't exist)

Request Body

Record JSON

Example request (application/json):
{
  "id": null,
  "numericId": null,
  "createdAt": null,
  "updatedAt": null,
  "data": {
    "example-key": {}
  },
  "external": null,
  "lists": null,
  "fileStorage": null,
  "stageHistory": null
}

Response

StatusDescriptionContent
200OK
400Bad Request
401Unauthorized
404Not Found

delete

collections/{collectionId}/{recordId}

Deletes a single record from a collection.

Parameters

NameLocationTypeDescription
collectionId *pathstringCollection ID or Slug
recordId *pathstringRecord ID

Response

StatusDescriptionContent
200OK-
400Bad Request
401Unauthorized
404Not Found

patch

collections/{collectionId}/{recordId}/stage

Changes a record stage.

Parameters

NameLocationTypeDescription
collectionId *pathstringCollection ID or Slug
recordId *pathstringRecord ID to update

Request Body

Object containing StageId and optional manual additional signatures

Example request (application/json):
{
  "stageId": "example-stageId",
  "additionalSignatures": null
}

Response

StatusDescriptionContent
200OK-
400Bad Request
401Unauthorized
404Not Found

patch

collections/{collectionId}/ext/{externalService}/{externalId}/stage

Changes a record stage by external service ID.

Parameters

NameLocationTypeDescription
collectionId *pathstringCollection ID or Slug
externalService *pathstringExternal service name
externalId *pathstringExternal service ID

Request Body

Object containing StageId and optional manual additional signatures

Example request (application/json):
{
  "stageId": "example-stageId",
  "additionalSignatures": null
}

Response

StatusDescriptionContent
200OK-
400Bad Request
401Unauthorized
404Not Found